Thunderhead Engineering Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

Forum moved to https://forum.thunderheadeng.com

Author Topic: forrtl: severe (157): Program Exception - access violation  (Read 15361 times)

swiss_zhang@hotmail.com

  • New Member
  • *
  • Posts: 8
    • View Profile
forrtl: severe (157): Program Exception - access violation
« on: February 25, 2010, 09:53:58 am »

When i run paralle simulation, there is always a erro messege:

forrtl: severe (157): Program Exception - access violation

I have no clue what is exactly?

Does somebody know that and how it can be solved?

thanks

yang
Logged

Charlie Thornton

  • Thunderhead
  • *****
  • Posts: 851
    • View Profile
Re: forrtl: severe (157): Program Exception - access violation
« Reply #1 on: February 25, 2010, 04:39:17 pm »

I think 157 is fortran''s version of a segfault.  There''s either a problem with you input file that FDS isn''t handling very gracefully, or a flat out bug in FDS.  Can you post your FDS file?
Logged

swiss_zhang@hotmail.com

  • New Member
  • *
  • Posts: 8
    • View Profile
Re: forrtl: severe (157): Program Exception - access violation
« Reply #2 on: February 26, 2010, 02:36:55 am »

thank you very much for your effort. i attach the FDS file and you can check it.
Logged

Charlie Thornton

  • Thunderhead
  • *****
  • Posts: 851
    • View Profile
Re: forrtl: severe (157): Program Exception - access violation
« Reply #3 on: February 26, 2010, 10:33:02 am »

There''s a problem with the HRR ramp on Burner.  When I changed it from the Custom ramp with a single entry to a T2 ramp-up instead, the simulation runs.
Logged

Charlie Thornton

  • Thunderhead
  • *****
  • Posts: 851
    • View Profile
Re: forrtl: severe (157): Program Exception - access violation
« Reply #4 on: February 26, 2010, 10:44:57 am »

Alternately, you can update your FDS and it''ll work.  I was about to submit a bug to the issue tracker, but when I tested with the latest version of FDS (v 5.4.3) there was no error and the simulation ran.

To update your FDS:

1. Download/Install FDS directly from NIST, start here: http://fire.nist.gov/fds/downloads.html
2. On the File menu, click preferences, and change which FDS EXEs PyroSim uses

Careful though, PyroSim 2010.1 was tested against v 5.4.1, so when you start using other versions you might run into other errors.
Logged